Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225954 - Merge Review: junit
Summary: Merge Review: junit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lillian Angel
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:14 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-04 20:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-04 20:10:12 UTC
fitzsim: fedora-review+


Attachments (Terms of Use)
Spec File (deleted)
2007-02-09 21:17 UTC, Tania Bento
no flags Details | Diff
Spec File (deleted)
2007-02-09 21:46 UTC, Tania Bento
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:14:00 UTC
Fedora Merge Review: junit

http://cvs.fedora.redhat.com/viewcvs/devel/junit/
Initial Owner: dbhole@redhat.com

Comment 1 Tania Bento 2007-02-09 21:17:12 UTC
Created attachment 147809 [details]
Spec File

Comment 2 Tania Bento 2007-02-09 21:46:44 UTC
Created attachment 147817 [details]
Spec File

The one I previously posted was the wrong patch.  Sorry.

Comment 3 Tania Bento 2007-02-09 21:58:58 UTC
Here are a list to my changes:

- I changed the License to CPL, because the Packaging Guidelines states that we
should use standard abbreviations and rpmlint generated a warning stating that
"Common Public License" was not recognized.

- I changed the Group to Development/Tools/Java from Development/Testing, as was
suggested by Tom.

- I switched the source back to junit3.8-2.zip because someone was misinformed
and had removed all the binaries.

- I removed "-rm -rf $RPM_BUILD_ROOT" from the %prep section because rpmlint
generated a warning stating that $RPM_BUILD_ROOT should not be touched in the
prep stage because it will break short circuiting .

- I added "-rm -rf $RPM_BUILD_ROOT" to the %install section because rpmlint
generated an error stating that we should clean $RPM_BUILD_ROOT this section.

- The %post and %postun sections for demo were removed because they were causing
an error while building.

- I had to "escape" the macros used in the %changelog because macros are
expanded in the %changelog section.

- The --excludes were added to aot-compile-rpm to solve a building error.  

If someone could kindly review this, that would be great.  Thanks.
Tania

Comment 4 Thomas Fitzsimmons 2007-02-09 22:59:06 UTC
Your patch contains whitespace changes that make it hard to see the real
changes.  Can you repost a cleaner one?


Comment 5 Thomas Fitzsimmons 2007-02-12 23:52:57 UTC
I see you were just running untabify.  I made a few more small changes and
committed this on your behalf.

$ rpmlint
/home/fitzsim/sources/rpms/junit/devel/i386/junit-demo-3.8.2-3jpp.1.i386.rpm
W: junit-demo no-documentation

OK because this is a sub-package and the base package contains documentation.

$ rpm -qp --provides
/home/fitzsim/sources/rpms/junit/devel/i386/junit-3.8.2-3jpp.1.i386.rpm
junit-3.8.2.jar.so  
junit = 3.8.2-3jpp.1

$ rpm -qp --requires
/home/fitzsim/sources/rpms/junit/devel/i386/junit-3.8.2-3jpp.1.i386.rpm
/bin/sh  
/bin/sh  
java-gcj-compat  
java-gcj-compat  
libc.so.6  
libc.so.6(GLIBC_2.1.3)  
libdl.so.2  
libgcc_s.so.1  
libgcc_s.so.1(GCC_3.0)  
libgcj_bc.so.1  
libm.so.6  
libpthread.so.0  
librt.so.1  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  

$ rpm -qp --provides
/home/fitzsim/sources/rpms/junit/devel/i386/junit-manual-3.8.2-3jpp.1.i386.rpm
junit-manual = 3.8.2-3jpp.1

$ rpm -qp --requires
/home/fitzsim/sources/rpms/junit/devel/i386/junit-manual-3.8.2-3jpp.1.i386.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

$ rpm -qp --provides
/home/fitzsim/sources/rpms/junit/devel/i386/junit-javadoc-3.8.2-3jpp.1.i386.rpm
junit-javadoc = 3.8.2-3jpp.1

$ rpm -qp --requires
/home/fitzsim/sources/rpms/junit/devel/i386/junit-javadoc-3.8.2-3jpp.1.i386.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

$ rpm -qp --requires
/home/fitzsim/sources/rpms/junit/devel/i386/junit-demo-3.8.2-3jpp.1.i386.rpm
java-gcj-compat  
java-gcj-compat  
junit = 3.8.2-3jpp.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

$ rpm -qp --provides
/home/fitzsim/sources/rpms/junit/devel/i386/junit-demo-3.8.2-3jpp.1.i386.rpm
junit-demo = 3.8.2-3jpp.1

$ rpm -qp --provides
/home/fitzsim/sources/rpms/junit/devel/i386/junit-debuginfo-3.8.2-3jpp.1.i386.rpmjunit-3.8.2.jar.so.debug
 
junit-debuginfo = 3.8.2-3jpp.1

$ rpm -qp --requires
/home/fitzsim/sources/rpms/junit/devel/i386/junit-debuginfo-3.8.2-3jpp.1.i386.rpm 
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

APPROVED.


Comment 6 Alexander Kurtakov 2009-10-01 07:51:18 UTC
This package is approved. Can we close the Merge review now?

Comment 7 Alexander Kurtakov 2009-12-04 20:10:12 UTC
Long time in Fedora and review approved more than 2 years ago.


Note You need to log in before you can comment on or make changes to this bug.